tag: {
  pkgs 
, lib
, buildPythonPackage 
, pyserial
, migen
, requests
, colorama
, packaging
, setuptools
}: buildPythonPackage {
  pname = "litex";
  version = "${tag}";
  pyproject = true;

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "litex";
    rev = "${tag}";
    hash = "sha256-OcwqYLQ7ec2vTewdIJqP/aTCJ4yI43OIOkTMD/hIKO0=";
  };

  buildInputs = [
    setuptools
  ];

  propagatedBuildInputs = [
    migen
    requests
    pyserial
    colorama
    packaging
  ];

  doCheck = false;
}
